NestedReference (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.NestedReference,NestedReference class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedReference

    java.lang.Object
      |
      +--org.apache.struts.taglib.nested.NestedReference

All Implemented Interfaces:
  java.io.Serializable

public class NestedReference
extends java.lang.Object
implements java.io.Serializable

So that a nested hierarchy can penetrate a dynamic JSP include, this class will hold the details of a bean name and nested property.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `beanName`
`private java.lang.String` | `property`

Constructor Summary
`NestedReference()` Empty constructor.
`NestedReference(java.lang.String name, java.lang.String property)` Constructor takes the all the relevant details to init the object.

Method Summary
`java.lang.String` | `getBeanName()` Getter for the bean name
`java.lang.String` | `getNestedProperty()` Getter for the nested property
`void` | `setBeanName(java.lang.String newName)` Setter for the bean name
`void` | `setNestedProperty(java.lang.String newProperty)` Setter for the nested property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beanName

    private java.lang.String beanName

### property

    private java.lang.String property

Constructor Detail

### NestedReference

    public NestedReference()

  Empty constructor.

### NestedReference

    public NestedReference(java.lang.String name,
                           java.lang.String property)

  Constructor takes the all the relevant details to init the object.

Parameters:
  `name` - String name of the bean that the include is to reference
  `property` - String nested property value that the include will be continuing on with.

Method Detail

### getBeanName

    public java.lang.String getBeanName()

  Getter for the bean name

  Returns:
    String value that will be the bean's reference

### setBeanName

    public void setBeanName(java.lang.String newName)

  Setter for the bean name

  Parameters:
    `newName` - String value to set the bean reference.

### getNestedProperty

    public java.lang.String getNestedProperty()

  Getter for the nested property

  Returns:
    String value that is the nested property for the current nesting

### setNestedProperty

    public void setNestedProperty(java.lang.String newProperty)

  Setter for the nested property

  Parameters:
    `newProperty` - String value of the new current nesting level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation